Subject: Re: [Simple] New Indirect publication draft

From: <[email-masked]>
Date: Wed, 27 Feb 2008 10:14:36 +0200

Hi Salvatore, 

some time back (and I could even try to find the mails) in GEOPRIV we
discussed a model that seems to be similar to what you just mentioned: 

The end host tells the LIS to interact with the presence server to
publish location information. This would require some form of
authorization since everyone could just set my location at the presence
server just as they want. 

This model was rejected since folks were concerned about the complexity
of the delegation mechanism. 

Ciao
Hannes

>-----Original Message-----
>From: Miguel Garcia [mailto:[email-masked]] 
>Sent: 27 February, 2008 10:08
>To: Salvatore Loreto
>Cc: Qian Sun; Tschofenig Hannes (NSN - FI/Espoo); 'SIMPLE 
>mailing list'; 'Henning Schulzrinne'
>Subject: Re: [Simple] New Indirect publication draft
>
>To make this work like you said, you will need:
>
>- A mechanism for authorizing external parties to do 
>publications on your behalf. I am not sure if we have such 
>mechanism in place.
>
>- A mechanism for instructing the presence server to switch 
>on/off your location information towards watchers. We do have 
>this mechanism, and it is presence authorization rules. So, if 
>in my device I have some UI entry that indicates "toggle 
>location information", when I act upon it, the device will 
>change the presence authorization rules.
>
>What I am proposing is that the "toggle location information" 
>in the UI will trigger a new (partial) PUBLISH from the 
>presentity. I think it matches better with the general 
>architecture of the presentity providing his location.
>
>/Miguel
>
>Salvatore Loreto wrote:
>> Hi Miguel,
>> 
>> surely I am missing something,
>> but if it is only a presence authorization rules problem, then the 
>> presentity should in some way authorize the presence server 
>to receive 
>> information, better location information, from a specific LCP server 
>> and then let the LCP server directly PUBLISH presentity's location 
>> value to Presence Server.
>> 
>> /Sal
>> 
>> Miguel Garcia wrote:
>>> Hi Qian:
>>>
>>> Yes, an LCP server can publish the presentity's PIDF-LO to the 
>>> presence server. The problem here is that, under normal 
>>> circumstances, the presence server will not merge this PIDF-LO with 
>>> the current presentity's PIDF, because the presentity 
>didn't publish 
>>> location information in the first place, so presumably it doesn't 
>>> even have presence authorization rules, etc.
>>>
>>> /Miguel
>>>
>>>
>>> Qian Sun wrote:
>>>  
>>>> Hi,
>>>>
>>>> Could  LCP Server as a presence source directly PUBLISH 
>presentity's 
>>>> location value to Presence Server?  Presence Server can compose a 
>>>> merged PIDF document including presence information from 
>different sources.
>>>>
>>>> Cheers,
>>>> Qian
>>>>
>>>> -----Original Message-----
>>>> From: [email-masked] [mailto:[email-masked]] On 
>>>> Behalf Of Miguel Garcia
>>>> Sent: Monday, February 18, 2008 10:12 PM
>>>> To: SIMPLE mailing list
>>>> Cc: Tschofenig Hannes (NSN - FI/Espoo); Henning Schulzrinne
>>>> Subject: [Simple] New Indirect publication draft
>>>>
>>>> Hi:
>>>>
>>>> We have just submitted a draft that discusses the issue of 
>indirect 
>>>> publication. The first part of the draft focuses on location URIs, 
>>>> so, perhaps it is of not much interest to the SIMPLE WG.
>>>>
>>>> Filename:     draft-garcia-simple-indirect-presence-publish
>>>> Revision:     00
>>>> Title:         Indirect Presence Publication with the Session 
>>>> Initiation Protocol(SIP)
>>>> Creation_date:     2008-02-18
>>>> WG ID:         Independent Submission
>>>> Number_of_pages: 12
>>>>
>>>> 
>http://www.ietf.org/internet-drafts/draft-garcia-simple-indirect-pre
>>>> sence-pu
>>>>
>>>> blish-00.txt
>>>>
>>>> Comments are welcome.
>>>>
>>>> /Miguel
>>>>     
>>>
>>>   
>> 
>
>-- 
>Miguel A. Garcia           tel:+358-50-4804586
>Nokia Siemens Networks     Espoo, Finland
>
>
_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple